Register a story
POST
/cms/print/v2/subpages/{id}/stories
const url = 'https://api.example.com/cms/print/v2/subpages/1/stories';const options = { method: 'POST', headers: { 'API-Key': '<API-Key>', 'Token-User': '<Token-User>', 'Content-Type': 'application/json' }, body: '{"uid":"example","name":"example","group":"example","status":"example","articleId":1,"articleVersionId":1,"icml":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.example.com/cms/print/v2/subpages/1/stories \ --header 'API-Key: <API-Key>' \ --header 'Content-Type: application/json' \ --header 'Token-User: <Token-User>' \ --data '{ "uid": "example", "name": "example", "group": "example", "status": "example", "articleId": 1, "articleVersionId": 1, "icml": "example" }'Called by InDesign after exporting a story of the layout as ICML (uploaded first). The page must be checked out by this client. uid is the id stamped into the InDesign story; registering an existing uid returns 409 STORY_EXISTS with the story.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
uid
required
string
name
required
string
group
string
status
string
articleId
integer
articleVersionId
The article version the text was placed from
integer
icml
required
Upload id of the ICML file
string
Example generated
{ "uid": "example", "name": "example", "group": "example", "status": "example", "articleId": 1, "articleVersionId": 1, "icml": "example"}Responses
Section titled “Responses”The story
NOT_LOCKED or STORY_EXISTS